Minnesproblem PHP - out of dynamic memory

Tråden skapades och har fått 3 svar. Det senaste inlägget skrevs .
1

Jag har installerat php och apache2 med hjälp av MacPorts. Får frekvent detta felmeddelande:

Fatal error: out of dynamic memory in yy_create_buffer()

Jag har kört exakt samma applikation på en annan installation med apache2 och php (dock med äldre version av apache2 och php från marc liyanage), och då funkade det utan problem.

Jag kollade minnestilldelningen i php.ini och den står på 128 liksom det gör på den andra installationen där det funkar.

Jag påstod att det fungerade fint på min förra installation. Det kan dock ha varit en halvsanning. Jag fick i den ibland, dock inte lika ofta tycker jag, upp en blank sida istället för den sidan jag försökte nå.

I den nya kör jag en senare version av php, och jag misstänker att det kan vara det som gör att jag nu faktiskt får upp ett förklarande felmeddelande istället för en blank sida.

Jag ökade minnet till 256 MB i php.ini. Jag har inte fått några fel sedan dess, men har å andra sidan inte hårdtestat servern än.

Det kan ha varit lösningen. Dock så tycker jag det känns oroväckande att jag ska behöva ställa upp minnet när jag endast kör detta:
2 st wordpress-installationer utan särskilt mycket trafik
webmail (roundcube)
phpMyAdmin

  • Oregistrerad
  • 2009-01-08 00:46

Om du använder den fina uppfinningen google och söker på yy_create_buffer så märker du nog rätt snabbt att du inte verkar vara ensam.

Problemet borde bara uppstå när du jobbar med bilder, STORA sådana. Kan hända om du använder wordpress som ett sätt att distribuera dina fina stora 30.000x30.000 pixlar bilder

Jag har googlat en hel del utan att lyckas hitta någon lösning. Fick upp felet igen idag. Servern kanske orkar lite längre nu innan den strejkar.

Har en del bilder i wordpress, men de största är väl på 1000x1000 kanske. yy_create_buffer-felet får jag även ibland när jag går in på webmailen. Kan iofs vara att wordpress har lagt beslag på en massa minne så att det inte blir nåt över.

Edit: Mina senaste misstankar riktar sig till att det är någon plugin till Wordpress som inte är kompatibel med den nya Wordpress 2.7.

Använder för närvarande:
Audio Player 1.2.3
Google Analytics for Wordpress 2.7
Last.FM for Wordpress 1.3.2
Lightview Plus 2.0.3
OpenID 3.1.4

Håller på att testa att avaktivera dem för att se vilken det kan vara.

Edit2
Enligt wordpress.org är inte Audio Player och OpenID officiellt kompatibla med 2.7 än. Kan vara nån av dem.

Edit3
Lång följetång det här Men det är väl lika bra att uppdatera tråden ifall någon annan stöter på liknande strul.

Inaktivering av plugins verkar inte ge någon direkt förbättring. Nu är jag inne på att det kanske är temat som är boven i dramat. har kommit en senare version av temat, men inte uppdaterat det. Ska prova när jag har möjlighet.

Edit4
Inte ens att gå till default-temat verkade hjälpa helt även om jag tyckte att servern betedde sig något bättre när alla plugins och teman var avstängda.

Nergraderade till 2.6.5 och sedan dess har allt funkat klockrent. Jag lär vänta lite innan jag ger mig på 2.7.x av wordpress...

Senast redigerat 2009-01-15 21:32
1
Bevaka tråden